#33 Please create an AppData file

None
closed
None
5
2014-11-18
2014-05-27
No

Please consider writing and installing an AppData file with the application description and some screenshots, else Pybliographic Bibliography Manager looks really bad in the GNOME and KDE Software Centers. We'd love to showcase more applications, but without the extra data file we can't. See http://people.freedesktop.org/~hughsient/appdata/ for details; thanks!

Richard

Related

Feature Requests: #33

Discussion

  • Alexander Ploumistos

    I have submitted a validated file with links to 16:9 screenshots, please see https://github.com/GNOME/pybliographer/pull/2 .

    I'm not sure where main development takes place, hence the double post.

     
  • Frédéric Gobry

    Cool, thanks Alexander :)

    Two remarks / suggestions :

    • if the screenshots need to be maintained for the file to work (vs some
      copy being pulled when the file is used), I'd suggest putting them
      somewhere on pybliographer.org so that they have a chance of being updated
      from time to time
    • the email address (@epfl.ch) hasn't worked for some time now. we should
      probably put the mailing list address to increase the usefulness.

    Cheers,

    On Wed Nov 12 2014 at 10:42:28 AM Alexander Ploumistos alxpl@users.sf.net
    wrote:

    I have submitted a validated file with links to 16:9 screenshots, please
    see https://github.com/GNOME/pybliographer/pull/2 .

    I'm not sure where main development takes place, hence the double post.

    Status: open
    Group:
    Created: Tue May 27, 2014 03:02 PM UTC by Richard Hughes
    Last Updated: Tue May 27, 2014 03:02 PM UTC
    Owner: nobody

    Please consider writing and installing an AppData file with the
    application description and some screenshots, else Pybliographic
    Bibliography Manager looks really bad in the GNOME and KDE Software
    Centers. We'd love to showcase more applications, but without the extra
    data file we can't. See http://people.freedesktop.org/~hughsient/appdata/
    for details; thanks!

    Richard

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/pybliographer/feature-requests/33/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #33

    • Alexander Ploumistos

      if the screenshots need to be maintained for the file to work (vs some
      copy being pulled when the file is used), I'd suggest putting them
      somewhere on pybliographer.org so that they have a chance of being updated
      from time to time

      I might not have made that clear enough in our correspondence.

      Consider this scenario:

      • Package foo.1.2.3 has made it to fedora stable, is not installed by default and it includes some screenshot urls in its appdata file.

      • In the meantime, version foo.1.2.4 appears upstream, but it's not yet packaged for fedora. Package 1.2.4 contains an updated appdata file, with screenshots hosted on a new server.

      When a user searches the software center for applications similar to foo and foo comes up in the results, the screenshots will be retrieved from the url that was specified in 1.2.3. If they have been deleted from the old location, they simply won't appear.
      So, if you need to move the images around, you have to keep the old urls alive, until foo.1.2.4 hits fedora stable and the software center parses the new appdata file.
      Also, bear in mind that the software center is not fedora-only; other distributions might have issues if they don't package foo quickly enough to catch up with the changes.

      I hope I covered your questions. If I have made some mistake about the process description, I'm sure Richard will correct me.

       
  • Zoltán Kóta

    Zoltán Kóta - 2014-11-17
    • assigned_to: Zoltán Kóta
    • Group: -->
     
  • Zoltán Kóta

    Zoltán Kóta - 2014-11-17

    Thanks! After some fine-tuning I will add the appdata file to the package.

     
  • Richard Hughes

    Richard Hughes - 2014-11-17

    I think you need to add it to Makefile.am as well, right?

     
    • Zoltán Kóta

      Zoltán Kóta - 2014-11-17

      Yes, sure.

       
  • Richard Hughes

    Richard Hughes - 2014-11-17

    Actually, Fedora (and the other distros should too) download the screenshots and rewrites the URL of the screenshot, so avoid any potential privacy or bandwidth issues. What a lot of projects do is ship screenshots with the version number in the filename, so that both versions of AppData show the right screenshot without having to rely on syncromising timings. E.g. totem-main-3-12.png and totem-main-3-14.png.

     
  • Zoltán Kóta

    Zoltán Kóta - 2014-11-17
    • status: open --> closed
     
  • Zoltán Kóta

    Zoltán Kóta - 2014-11-17

    Fixed in the git repo now.

     
  • Richard Hughes

    Richard Hughes - 2014-11-18

    Great, thanks Zoltán!

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks